package jm;

import junit.framework.TestCase;

public class CalculadoraTeste extends TestCase {
	public static final int UM = 1;

	public static final int DOIS = 2;

	private static final int TRES = 3;

	Calculadora calculadora = new Calculadora();

	public void testSoma() {
		assertEquals(TRES, calculadora.soma(UM, DOIS));
	}

	public void testSubtracao() {
		assertEquals(UM, calculadora.subtrai(TRES, DOIS));
	}

	public void testDivisao() {
		assertEquals(DOIS, calculadora.divide(DOIS, UM));
	}

	public void testMultiplicao() {
		assertEquals(DOIS, calculadora.multiplica(UM, DOIS));
	}
}
